Bug Hunting Session
Bug 119714 - Contextmenu Chart: pagebreak
Summary: Contextmenu Chart: pagebreak
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2018-09-05 22:03 UTC by andreas_k
Modified: 2018-11-21 06:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
contextmenu pagebreak (205.46 KB, image/png)
2018-09-05 22:03 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2018-09-05 22:03:55 UTC
Created attachment 144708 [details]
contextmenu pagebreak

In Calc there are two different view Normal and Page Break (menubar -> view)

I synced the layout between the two context menues. Insert stuff isn't needed in pagebreak but define print stuff is needed.
Comment 1 Heiko Tietze 2018-10-12 11:20:13 UTC
Guess the left image is for Writer while right is Calc. In what context does the menus show up exactly? I stumble over Normal and more generally I wouldn't add breaks to the context menu.
Comment 2 andreas_k 2018-11-01 23:14:40 UTC
You have to switch in Menubar -> View -> Page break
Comment 3 Commit Notification 2018-11-02 07:05:41 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/13449ddc667008bfe0486e5e70110f4556609c3a%5E%21

tdf#119714 Calc Contextmenu: update Pagebreak

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2018-11-04 14:21:33 UTC
(In reply to andreas_k from comment #0)
> Created attachment 144708 [details]
> contextmenu pagebreak

About fourth picture there are 2 diferences in 6.2:
- Insert comment was kept (the propose design eliminate it)
- changing to Normal view is missing (in the propose design was there)

Version: 6.2.0.0.alpha1+
Build ID: 726c18db3215ec74135f51365322a6b531f328af
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-03_19:38:55
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded
Comment 5 BogdanB 2018-11-19 09:53:39 UTC
No one answer me about latest comment. Menu to Normal view should be there like in proposal.
Comment 6 Heiko Tietze 2018-11-19 10:51:20 UTC
(In reply to BogdanB from comment #5)
> No one answer me about latest comment. Menu to Normal view should be there
> like in proposal.

Andreas committed and pushed himself. There was no discussion so it's up to him to reply.

(removing UX from resolved ticket)
Comment 7 andreas_k 2018-11-19 10:53:40 UTC
I will replay (later) today and if needed I submit an patch. If BogdanB like to review the context toolbar work in 6.2 you are welcome and I will fix open issues.
Comment 8 BogdanB 2018-11-19 11:02:42 UTC
(In reply to andreas_k from comment #7)
> I will replay (later) today and if needed I submit an patch. If BogdanB like
> to review the context toolbar work in 6.2 you are welcome and I will fix
> open issues.

I don't know how. I just noticed 2 differences between what we have on 6.2 and what was proposed to be.
Comment 9 Commit Notification 2018-11-20 11:41:04 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d2d3dfe1d0ebb39ed70c66f4b5e9f7dcf9e4bb16%5E%21

tdf#119714 add Normal View switch in calc pagebreak view

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-11-21 06:06:42 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/9804df4c99f11a74459e99f964ff751c26eab788%5E%21

tdf#119714 add Normal View switch in calc pagebreak view

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.